package com.sw.activemq.consumer;

import lombok.extern.slf4j.Slf4j;
import org.springframework.jms.annotation.JmsListener;
import org.springframework.stereotype.Service;

import javax.jms.Message;

@Service
@Slf4j
public class MessageConsumerService {

	@JmsListener(destination="mask")
	public void receiveMessage(Message info) {	// 进行消息接收处理
		log.info("【*** 接收消息 ***】--->info", info);
	}
}
