package com.sw.controller;

import com.sw.domain.SysTest;
import com.sw.domain.SysUser;
import com.sw.service.SysTestService;
import com.sw.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 测试服务
 *
 * @author yegang
 * @create 2022-02-17 15:25
 **/
@RestController
public class TestController {
    @Autowired
    SysTestService sysTestService;
    @Autowired
    SysUserService sysUserService;
    @RequestMapping("/test")
    public  String  test(){
        List<SysTest> list = sysTestService.list();
        System.out.println(list);
        return "test";
    }
    @RequestMapping("/get/{id}")
    public Integer getUser(@PathVariable int id){
        SysUser user = sysUserService.getById(id);
        return user.getId();
    }
}
