package com.sw.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sw.dao.TOrderDao;
import com.sw.domain.TOrder;
import com.sw.service.TOrderService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * (TOrder)表服务实现类
 *
 * @author yegang
 * @since 2022-02-18 10:28:01
 */
@Service("tOrderService")
public class TOrderServiceImpl extends ServiceImpl<TOrderDao, TOrder> implements TOrderService {
    @Resource
    private TOrderDao tOrderDao;


    @Override
    public int creatOrder(Integer uid, Integer maskId) {
        TOrder order = new TOrder();
        order.setCreateTime(new Date());
        order.setMid(maskId);
        order.setUid(uid);
        order.setState("1");

       return tOrderDao.insert(order);
    }
}
